<template>
    <div class="app">
        <Aside :classes="asideClassComputed"/>
        <main class="main">
            <div class="main-card">
                <Header @onclick="handleAsideToggle"/>
                <router-view />
            </div>
        </main>
    </div>
</template>
<script>
import "@/assets/scss/components/body.scss";
import Aside from "@/components/Aside.vue";
import Header from "@/components/Header.vue";
import { mapState } from 'vuex'

export default {
  components: {
    Aside,
    Header,
  },
  methods: {
    handleAsideToggle() {
      this.$store.dispatch('togglerAside')
    },
  },
  computed: {
    asideClassComputed() {
      let asideClases;
      if (this.asideToogle) {
        asideClases = "aside aside--contracted";
      } else {
        asideClases = " aside ";
      }
      return asideClases;
    },
    ...mapState(['asideToogle'])
  },
};
</script>
<style>
</style>
